<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
?>
<?php
	if (!defined("IGNX")) { die("Attempt..."); }

// recoge el array
$todas_ciudades_nom = todasCIUDADES();

// contar las repeticiones
$todas_ciudades_contar = array_count_values($todas_ciudades_nom);

// ordenar por alfabetico en minusculas
$matriz_minusculas_ciudades = array_map('strtolower', $todas_ciudades_nom);
array_multisort($matriz_minusculas_ciudades, SORT_ASC, SORT_STRING, $todas_ciudades_nom);

// quitar las repetidas
$todas_ciudades_unicos = array_keys(array_flip($todas_ciudades_nom));


$todas_ciudades_buscar = "";

// si nube de etiquetas
if (CONFIG_29 == 1)
{

	for ($c=0; $c < count($todas_ciudades_unicos); $c++)
	{		
		if ($todas_ciudades_contar[$todas_ciudades_unicos[$c]] >= CONFIG_41)
		{
		
			$todas_ciudades_buscar .= '<a href="'.RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'bus'.IGUAL.codificar_buscador($todas_ciudades_unicos[$c]).TPL_SUFIJO_URL.AMPER.'tip'.IGUAL.'2" class="etiquetas_menu">';
			
			if ($todas_ciudades_contar[$todas_ciudades_unicos[$c]] < 2)
			{
				$fuente = 2;
			
			} else if ($todas_ciudades_contar[$todas_ciudades_unicos[$c]] > 5) {
		
				$fuente = 5;	
			
			} else {
		
				$fuente = $todas_ciudades_contar[$todas_ciudades_unicos[$c]];
		
			}
			
			$todas_ciudades_buscar .= '<font size="'.$fuente.'">'.$todas_ciudades_unicos[$c].'</font> ';
			$todas_ciudades_buscar .= '</a>';
		
		}
				
	}
	
} else if (CONFIG_29 == 0) {

	for ($c=0; $c < count($todas_ciudades_unicos); $c++)
	{		
		if ($todas_ciudades_contar[$todas_ciudades_unicos[$c]] >= CONFIG_41)
		{
		
			$todas_ciudades_buscar .= '<a href="'.RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'bus'.IGUAL.codificar_buscador($todas_ciudades_unicos[$c]).TPL_SUFIJO_URL.AMPER.'tip'.IGUAL.'2" class="etiquetas_menu">';
			$todas_ciudades_buscar .= $todas_ciudades_unicos[$c].'('.$todas_ciudades_contar[$todas_ciudades_unicos[$c]].') ';
			$todas_ciudades_buscar .= '</a>';
		
		}
				
	}

}


$tpl_salida_todas_tags_2 = $todas_ciudades_buscar;

	if ($tpl_salida_todas_tags_2 != "")
	{

		// Smarty
		$smarty->assign("salida_menu_tags_2", $tpl_salida_todas_tags_2);
		
	
	}


?>